Remove members Early access

Read as Markdown

Early access program

This is in our early access program where we closely support organizations in their usage.

To have this enabled for your organization contact support@cronofy.com or your account manager.

Description #

Removes people from a Managed Organizational Unit, such as when they leave your customer’s team.

Removal takes effect immediately. The person is no longer a member, so they aren’t offered for new meetings, and your application loses access to their calendars.

Authentication is with the access token for the Managed Organizational Unit, returned when you provision it. The Organizational Unit must be managed by your application.

URL format #

{data_center_url}/v1/organizational_unit_directory_users

Example Request #

DELETE /v1/organizational_unit_directory_users HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "directory_users": [
    {
      "directory_user_id": "user-1002"
    }
  ]
}

Example Response #

HTTP/1.1 202 Accepted

Request Parameters #

data_center_url Required

The URL for the data center you want to communicate with. Possible choices are:

  • api-au.cronofy.com - πŸ‡¦πŸ‡Ί Australia
  • api-ca.cronofy.com - πŸ‡¨πŸ‡¦ Canada
  • api-de.cronofy.com - πŸ‡©πŸ‡ͺ Germany
  • api-sg.cronofy.com - πŸ‡ΈπŸ‡¬ Singapore
  • api-uk.cronofy.com - πŸ‡¬πŸ‡§ United Kingdom
  • api.cronofy.com - πŸ‡ΊπŸ‡Έ United States

Find out more about Cronofy's data centers.

directory_users Required  #

The people to remove Array. Must contain at least one person.

directory_users.directory_user_id Required  #

Your application’s identifier for the person, as given when they were added String.

Response Parameters #

This request has no response body.

Error responses #

401 Unauthorized #

The request was refused as the provided authentication credentials were not recognized.

When an OAuth refresh_token is available then it should be used to request a replacement access token before the request is retried.

403 Forbidden #

The request was refused as the access token doesn’t grant the organizational_unit_scheduling scope.

422 Unprocessable #

The request was unable to be processed due to it containing invalid parameters, or the Organizational Unit isn’t managed by your application.